|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QFlag Class Reference
[QtCore module]

The QFlag class is a helper data type for QFlags. More...

     #include <QFlag>

- List of all members, including inherited members

### Public Functions

- QFlag ( int value )
- operator int () const

## Detailed Description

The QFlag class is a helper data type for QFlags.

It is equivalent to a plain `int`, except with respect to function overloading and type conversions. You should never need to use this class in your applications.

See also QFlags.

## Member Function Documentation

### QFlag::QFlag ( int value )

Constructs a QFlag object that stores the given value.

### QFlag::operator int () const

Returns the value stored by the QFlag object.